semilimes mcu sdk 1.1.3 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FcEventPicker Class Reference

## Public Member Functions
| ~FcEventPicker ()
void | set (const char *refname, const char *title, bool reqSel, bool multiSelection, const char *eventsDisplayMode)
void | addValue (const char *value)
void | appendValues ()
void | addEvent (const char *id, int start, const char *title, const char *description, const char *referenceBucketId, const char *additionalInfo)
void | appendEvents ()
char * | get ()

## Public Attributes
char | eventsDisplayMode [2][8] = {"list", "buttons"}

## Constructor & Destructor Documentation

## ◆ ~FcEventPicker()

FcEventPicker::~FcEventPicker | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addEvent()

void FcEventPicker::addEvent | ( | const char * | id,
|  | int | start,
|  | const char * | title,
|  | const char * | description,
|  | const char * | referenceBucketId,
|  | const char * | additionalInfo )

Parameters

  id | - Arbitrary Unique Id assigned by client
  start | - Epoch milliseconds for event start
  title | - EventTitle
  description | - EventDescription
  referenceBucketId | - accepts any bucket GUID from semilimes environment, and allows the related event to display a details button that opens the destination bucket. The referenced bucket can be of any form (P2P/Group chat, channel, profile, bucket)
  additionalInfo | - is an arbitrary object to keep hidden properties in the event and retrieve it upon submission.

Returns
  void

## ◆ addValue()

void FcEventPicker::addValue | ( | const char * | value | ) |

Parameters

  value | - the events when the form is submitted

Returns
  void

## ◆ appendEvents()

void FcEventPicker::appendEvents | ( |  | ) |

Parameters

  void | FcEventPicker::appendValues()

Returns
  void

## ◆ appendValues()

void FcEventPicker::appendValues | ( |  | ) |

Parameters

  Parameters |

return void

## ◆ get()

char * FcEventPicker::get | ( |  | ) |

Returns
  char*

## ◆ set()

void FcEventPicker::set | ( | const char * | refname,
|  | const char * | title,
|  | bool | reqSel,
|  | bool | multiSelection,
|  | const char * | eventsDisplayMode )

Parameters

  refname | - it is the reference name of the object
  title | - is the global label displayed at the beginning of the component
  reqSel | - indicates if the selection is required to submit the form
  reqSel | - is a boolean to tell the form it can only have one or more events selected before submission
  multiSelection | - is a boolean to tell the form it can only have one or more events selected before submission
  eventsDisplayMode | - is a string that can hold list or buttons value. It will change how the events are displayed upon a date selection in the semilimes app: char eventsDisplayMode[2][8] = {"list", "buttons"};

Returns
  void

## Member Data Documentation

## ◆ eventsDisplayMode

char FcEventPicker::eventsDisplayMode[2][8] = {"list", "buttons"}

Parameters

  char | eventsDisplayMode[2][8] = {"list", "buttons"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_event_picker.h
- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_event_picker.cpp